#!/bin/sh
source /OSM/script/os_load_base.sh
PATCH_START()
{
    return 
}
PATCH_END()
{
    return
}
PATCH_ROLLBACK()
{
	#回滚CCDB进程
    chmod 550 /OSM/bin/ccdb_server
    
    daemon "/OSM/bin/ccdb_server" "/OSM/bin/cgroup_manage.sh -g ccdb"
    if [ $? -ne 0 ]; then
        OS_echo "hotpatch start ccdb_server fail by daemon in SPH056."
    fi
    return
}
PATCH_ROLLEND()
{
    return
}
L_CMD=$1
case $L_CMD in
    "start") PATCH_START
               ;;
    "end") PATCH_END
               ;;
    "rollstart") PATCH_ROLLBACK
               ;;
    "rollend") PATCH_ROLLEND
               ;;
    *)
        OS_echo "unsupported option."
esac
exit 0